package com.ylcm.sys.multiple;

import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;
/**
 * 多数据源实现
 * @author zhoucong
 */
public class MultipleDataSource extends AbstractRoutingDataSource {

	private static final ThreadLocal<String> dataSourceKey = new ThreadLocal<String>();

	/**
	 * 
	 * @Description: 获取当前线程的数据源
	 */
	@Override
	protected Object determineCurrentLookupKey() {
		return dataSourceKey.get();
	}
	
	/**
	 * @Description: 设置当前线程的数据源
	 * @param dataSource
	 */
	public static void setDataSourceKey(String dataSource) {
		dataSourceKey.set(dataSource);
	}

	/**
	 * @Description: 删除当前线程的数据源
	 */
	public static void removeDataSourceKey() {
		dataSourceKey.remove();
	}

}
